### Method

# Gtk EntryCompletionset_match_func

deprecated: 4.10

#### Declaration [src]

    void
    gtk_entry_completion_set_match_func (
      GtkEntryCompletion* completion,
      GtkEntryCompletionMatchFunc func,
      gpointer func_data,
      GDestroyNotify func_notify
    )

#### Description [src]

Sets the match function for `completion` to be `func`.

The match function is used to determine if a row should or should not be in the completion list.

Deprecated since: 4.10

GtkEntryCompletion will be removed in GTK 5.

#### Parameters

`func`

  Type: `GtkEntryCompletionMatchFunc`

  The `GtkEntryCompletion`MatchFunc to use.

`func_data`

  Type: `gpointer`

  User data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`func_notify`

  Type: `GDestroyNotify`

  Destroy notify for `func_data`.